Results 1 to 5 of 5

Thread: Dim angle in Leader

  1. #1
    Member
    Join Date
    2013-03
    Posts
    3
    0 Did you find this post helpful? Yes

    Default Dim angle in Leader

    Hi all...
    I need to make a dimangular informing the cords of center, angle 1 (first leader), angle 2 (second leader) and the length of dim. It's possible?

    Thanks

  2. #2
    Member
    Join Date
    2013-03
    Posts
    3
    0 Did you find this post helpful? Yes

    Default Re: Dim angle in Leader

    Nobody?
    Thanks?

  3. #3
    Administrator Opie's Avatar
    Join Date
    2002-01
    Location
    jUSt Here (a lot)
    Posts
    7,491
    0 Did you find this post helpful? Yes

    Default Re: Dim angle in Leader

    Quote Originally Posted by fredacx363311 View Post
    Nobody?
    Thanks?
    Can you manually do this? What steps would you normally take to accomplish this? Do you have a before and after sample of what you are looking to accomplish?

    You're welcome?
    If you have a technical question, please find the appropriate forum and ask it there.
    You will get a quicker response from your fellow AUGI members than if you sent it to me via a PM or email.
    jUSt

  4. #4
    Member
    Join Date
    2013-03
    Posts
    3
    0 Did you find this post helpful? Yes

    Default Re: Dim angle in Leader

    I have a code that makes a drawing. And must include an angular dimension this drawing. This quota will be inserted in objects "leader". The code can not prompt the user to select the objects. The code will automatically select.

    I need this code below to work without the user having to select the objects. I need to include these objects in code. But I do not know how. And these lines are not objects, are "leader" that form a vertex.

    (vl-cmdf "_.dimangular"
    (entsel "\nPick a 1st line >>")
    (entsel "\nPick a 2st line >>")
    (getpoint "\nPick a text point >>")
    )

    Thanks

  5. #5
    Certifiable AUGI Addict tedg's Avatar
    Join Date
    2005-06
    Location
    in the upper right corner
    Posts
    2,612
    0 Did you find this post helpful? Yes

    Default Re: Dim angle in Leader

    Quote Originally Posted by fredacx363311 View Post
    I have a code that makes a drawing. And must include an angular dimension this drawing. This quota will be inserted in objects "leader". The code can not prompt the user to select the objects. The code will automatically select.

    I need this code below to work without the user having to select the objects. I need to include these objects in code. But I do not know how. And these lines are not objects, are "leader" that form a vertex.

    (vl-cmdf "_.dimangular"
    (entsel "\nPick a 1st line >>")
    (entsel "\nPick a 2st line >>")
    (getpoint "\nPick a text point >>")
    )

    Thanks
    Can you post a screen shot or an example of a drawing that you are trying to end up with?

    Just to clarify, you have a program that makes the drawing and you want it to automatically put in an angular dimension?
    Or is this angle just an annotation...you mention "leader"?

    Can you post the code that "makes the drawing"?
    Ted
    ____________________________________________________________________________________
    AutoCAD 2013 - REVIT Structure 2013 & 2014 - MicroStation V8i - Windows 7 Professional - (dabble with Inventor Professional 2013)

Similar Threads

  1. 2012: AUTOCAD CIVIL 3D 2012 MULTI LEADER TEXT ANGLE
    By ryager in forum AutoCAD Annotation
    Replies: 0
    Last Post: 2012-04-25, 04:10 PM
  2. Replies: 10
    Last Post: 2011-07-01, 02:24 PM
  3. multiple connection point for leader tails when using a multi-leader
    By jschraud228486 in forum AutoCAD Annotation
    Replies: 1
    Last Post: 2010-06-16, 01:42 AM
  4. Angle of leader segment
    By cadconcepts in forum AutoLISP
    Replies: 9
    Last Post: 2009-03-03, 06:32 AM
  5. Replies: 5
    Last Post: 2006-07-25, 02:43 PM

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •